NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Properties | List of all members
NXOpen.GeometricUtilities.MatchSurfaceBuilder Class Reference

Represents a NXOpen.GeometricUtilities.MatchSurfaceBuilder builder. More...

Inheritance diagram for NXOpen.GeometricUtilities.MatchSurfaceBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  MatchConstaint { Position, Tangent }
 This enum represents the type of constaints More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe
NXOpen.GeometricUtilities.MatchSurfaceBuilder.MatchConstaint 
Constraint [get, set]
 Returns or sets the continuity type for matching More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe NXOpen.SelectEdge EditEdge [get]
 Returns the selected edge for matching More...
 
unsafe bool EndToEnd [get, set]
 Returns or sets the option to match end-to-end, between the end of edit edge and the reference egde or curve More...
 
unsafe bool KeepSheet [get, set]
 Returns or sets the option to keep original sheet More...
 
unsafe bool MatchExact [get, set]
 Returns or sets the option to match exact, between the end of edit edge and the reference egde or curve More...
 
unsafe NXOpen.SelectEdge Reference [get]
 Returns the selected reference edge or curve More...
 
unsafe NXOpen.SelectFace ReferenceFace [get]
 Returns the selected face for reference curve More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
RegionLimit [get]
 Returns the distance limit of deformation region More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.GeometricUtilities.MatchSurfaceBuilder builder.

This builder's Commit can create a b-surface

To create a new instance of this class, use NXOpen.GeometricUtilities.CAMDataPrepManager.CreateMatchSurfaceBuilder

Default values.

Property Value

Constraint

Tangent

EndToEnd

1

KeepSheet

0

MatchExact

1

Created in NX9.0.0

Member Enumeration Documentation

This enum represents the type of constaints

Enumerator
Position 
Tangent 

Property Documentation

unsafe double NXOpen.GeometricUtilities.MatchSurfaceBuilder.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.GeometricUtilities.MatchSurfaceBuilder.MatchConstaint NXOpen.GeometricUtilities.MatchSurfaceBuilder.Constraint
getset

Returns or sets the continuity type for matching

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe double NXOpen.GeometricUtilities.MatchSurfaceBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.SelectEdge NXOpen.GeometricUtilities.MatchSurfaceBuilder.EditEdge
get

Returns the selected edge for matching

Created in NX9.0.0

License requirements: None.

unsafe bool NXOpen.GeometricUtilities.MatchSurfaceBuilder.EndToEnd
getset

Returns or sets the option to match end-to-end, between the end of edit edge and the reference egde or curve

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.GeometricUtilities.MatchSurfaceBuilder.KeepSheet
getset

Returns or sets the option to keep original sheet

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe bool NXOpen.GeometricUtilities.MatchSurfaceBuilder.MatchExact
getset

Returns or sets the option to match exact, between the end of edit edge and the reference egde or curve

Created in NX9.0.0

License requirements to get this property: None.

License requirements to set this property: nx_freeform_2 ("advanced freeform modeling") OR die_engineering ("DIE ENGINEERING")

unsafe NXOpen.SelectEdge NXOpen.GeometricUtilities.MatchSurfaceBuilder.Reference
get

Returns the selected reference edge or curve

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.SelectFace NXOpen.GeometricUtilities.MatchSurfaceBuilder.ReferenceFace
get

Returns the selected face for reference curve

Created in NX9.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.GeometricUtilities.MatchSurfaceBuilder.RegionLimit
get

Returns the distance limit of deformation region

Created in NX9.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.